[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'sysutils' (#rtl)

# CharToByteLen

Convert a length in characters to a length in bytes.

## Declaration

Source position: sysstrh.inc line 230

`function CharToByteLen(`
`const S: string;`
`MaxLen: Integer`
`):Integer;`

## Description

CharToByteLen returns the number of bytes in S, but limits the result to MaxLen

## Errors

This function does not take into account MBCS yet.

## See also

ByteToCharLen |  | Convert a length in bytes to a length in characters.
ByteToCharIndex |  | Convert a character index in Bytes to an Index in characters

Documentation generated on: Feb 26 2014